## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name cx_Oracle
%global local_name cx-oracle
# Tests requires the Oracle Client libraries
%bcond_with check

Name:           python-%{local_name}
Version:        8.3.0
Release:        %autorelease
Summary:        Python interface to Oracle

License:        BSD
URL:            https://oracle.github.io/python-cx_Oracle
Source0:        %{pypi_source}

BuildRequires:  gcc

%description
Python interface to Oracle Database conforming to the Python DB API 2.0
specification.

%package -n     python3-%{local_name}
Summary:        %{summary}

BuildRequires:  python3-devel

%description -n python3-%{local_name}
Python interface to Oracle Database conforming to the Python DB API 2.0
specification.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cx_Oracle
rm -rf %{buildroot}%{_prefix}/cx_Oracle-doc

%if %{with check}
%check
%python3 setup.py test
%endif

%files -n python3-%{local_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.txt

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 8.3.0-4
- Rebuilt for Python 3.12

* Mon May 15 2023 Major Hayden <major@redhat.com> - 8.3.0-3
- Switch to pyproject-rpm-macros

* Mon May 15 2023 Major Hayden <major@redhat.com> - 8.3.0-2
- Switch to rpmautospec

* Mon May 15 2023 Major Hayden <major@redhat.com> - 8.3.0-1
- Update to 8.3.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 7.3.0-8
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 7.3.0-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 7.3.0-2
- Rebuilt for Python 3.9

* Mon Apr 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 7.3.0-1
- * Sat Apr 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 7.3.0-2 -
  Update path - Add missing BR (rhbz#1816279)
## END: Generated by rpmautospec
